Page MenuHomePhabricator

Scribunto extension is missing @covers tags
Closed, ResolvedPublic

Description

PHPCS has identified that some of the Scribunto PHPUnit tests are missing @covers tags. Those tags
are necessary for PHPUnit to accurately calculate test coverage.

See the PHPUnit documentation for how to use it.

Once the tags have been added, the MissingCovers sniff should be re-enabled in .phpcs.xml.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2018, 1:53 AM

Change 435674 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Scribunto@master] Add @covers tags to all tests

https://gerrit.wikimedia.org/r/435674

Change 435674 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Add @covers tags to all tests

https://gerrit.wikimedia.org/r/435674

Legoktm closed this task as Resolved.May 30 2018, 6:38 PM
Legoktm claimed this task.
Vvjjkkii renamed this task from Scribunto extension is missing @covers tags to 7lcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Legoktm as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 7lcaaaaaaa to Scribunto extension is missing @covers tags.Jul 1 2018, 5:06 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Legoktm.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.